SHISHI(1)

NAME
shishi - Shishi client tool

SYNOPSIS
shishi [OPTION]... [CLIENT [SERVER]]...

DESCRIPTION
Shishi command line client. If no command is given, Shishi acquire or list a valid ticket for you, identified by CLIENT (if empty, default username in default realm), for the service SERVER (if empty, ticket granting ticket for client realm).

-h, --help
    Print help and exit

-V, --version
    Print version and exit

  Commands:

-d, --destroy
    Destroy tickets in local cache, limited by any --client-name or --server-name. (default=off)

-l, --list
    List tickets in local cache, limited by any --client-name and --server-name. (default=off)

-r, --renew
    Renew ticket. Use --server-name to specify ticket, default is the most recent renewable ticket granting ticket for the default realm. (default=off)

  Flags:

--forwardable
    Get a forwardable ticket, i.e., one that can be used to get forwarded tickets. (default=off)

--forwarded
    Get a forwarded ticket. (default=off)

--proxiable
    Get a proxiable ticket, i.e., one that can be used to get proxy tickets. (default=off)

--proxy
    Get a proxy ticket. (default=off)

--renewable
    Get a renewable ticket. (default=off)

OPTIONS

--client-name=NAME
    Client name. Default is login username.

-E, --encryption-type=ETYPE,[ETYPE...]
    Encryption types to use. ETYPE is either

registered name or integer.
    Valid values

include 'aes128', 'aes256', 'aes' (same as
    'aes256'), '3des', 'des-md5', 'des-md4', 'des-crc', 'des' (same as 'des-md5'), and 'arcfour'.

-e, --endtime=STRING
    Specify when ticket validity should expire. The time syntax may be relative (to the start time), such as '20 hours', or absolute, such as '2001-02-03 04:05:06 CET'. The default is 8 hours after the start time.

--realm=STRING
    Set default realm.

--renew-till=STRING
    Specify renewable life of ticket. Implies --renewable. Accepts same time syntax as --endtime. If --renewable is specified, the default is 1 week after the start time.

--server-name=NAME
    Server name. Default is 'krbtgt/REALM' where REALM is client realm.

-s, --starttime=STRING
    Specify when ticket should start to be valid. Accepts same time syntax as --endtime. The default is to become valid immediately.

--ticket-granter=NAME
    Service name in ticket to use for authenticating request. Only for TGS. Defaults to 'krbtgt/REALM@REALM' where REALM is client realm.

  Other options:

--configuration-file=FILE Read user configuration from FILE.

-c, --ticket-file=FILE
    Read tickets from FILE.

-o, --library-options=STRING
    Parse STRING as a configuration file statement.

-q, --quiet
    Don't produce any diagnostic output. (default=off)

--system-configuration-file=FILE
    Read system configuration from FILE.

--ticket-write-file=FILE
    Write tickets from FILE. Default is to write them back to where they were read from.

-v, --verbose
    Produce verbose output. Use multiple times to increase amount of information.

Mandatory arguments to long options are mandatory for short options too.

AUTHOR
Written by Simon Josefsson.

REPORTING BUGS
Report bugs to: bug-shishi@gnu.org
GNU Shishi home page: <https://www.gnu.org/software/shishi/>
General help using GNU software: <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2022 Simon Josefsson. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.